
Spreadsheet Import Filter
=========================


Plain Text
----------

.. doxygenclass:: orcus::orcus_csv
   :members:


Open Document Spreadsheet
-------------------------

.. doxygenclass:: orcus::orcus_ods
   :members:

.. doxygenclass:: orcus::import_ods
   :members:


Microsoft Excel 2003 XML
------------------------

.. doxygenclass:: orcus::orcus_xls_xml
   :members:


Microsoft Excel 2007 XML
------------------------

.. doxygenclass:: orcus::orcus_xlsx
   :members:

.. doxygenclass:: orcus::import_xlsx
   :members:


Gnumeric XML
------------

.. doxygenclass:: orcus::orcus_gnumeric
   :members:


Generic XML
-----------

.. doxygenclass:: orcus::orcus_xml
   :members:


Global Interface
----------------

.. doxygenclass:: orcus::iface::import_filter
   :members:

.. doxygenclass:: orcus::iface::document_dumper
   :members:


Spreadsheet Interface
---------------------

.. doxygenclass:: orcus::spreadsheet::iface::import_auto_filter
   :members:

.. doxygenclass:: orcus::spreadsheet::iface::import_conditional_format
   :members:

.. doxygenclass:: orcus::spreadsheet::iface::import_data_table
   :members:

.. doxygenclass:: orcus::spreadsheet::iface::import_factory
   :members:

.. doxygenclass:: orcus::spreadsheet::iface::import_global_settings
   :members:

.. doxygenclass:: orcus::spreadsheet::iface::import_shared_strings
   :members:

.. doxygenclass:: orcus::spreadsheet::iface::import_sheet
   :members:

.. doxygenclass:: orcus::spreadsheet::iface::import_sheet_properties
   :members:

.. doxygenclass:: orcus::spreadsheet::iface::import_styles
   :members:

.. doxygenclass:: orcus::spreadsheet::iface::import_table
   :members:

.. doxygenclass:: orcus::spreadsheet::iface::export_factory
   :members:

.. doxygenclass:: orcus::spreadsheet::iface::export_sheet
   :members:


Spreadsheet Type
----------------

.. doxygentypedef:: orcus::spreadsheet::row_t
.. doxygentypedef:: orcus::spreadsheet::col_t
.. doxygentypedef:: orcus::spreadsheet::sheet_t
.. doxygentypedef:: orcus::spreadsheet::color_elem_t
.. doxygentypedef:: orcus::spreadsheet::col_width_t
.. doxygentypedef:: orcus::spreadsheet::row_height_t

.. doxygenenum:: orcus::spreadsheet::border_direction_t
.. doxygenenum:: orcus::spreadsheet::border_style_t
.. doxygenenum:: orcus::spreadsheet::formula_grammar_t
.. doxygenenum:: orcus::spreadsheet::formula_t
.. doxygenenum:: orcus::spreadsheet::underline_t
.. doxygenenum:: orcus::spreadsheet::hor_alignment_t
.. doxygenenum:: orcus::spreadsheet::ver_alignment_t
.. doxygenenum:: orcus::spreadsheet::data_table_type_t
.. doxygenenum:: orcus::spreadsheet::totals_row_function_t
.. doxygenenum:: orcus::spreadsheet::conditional_format_t
.. doxygenenum:: orcus::spreadsheet::condition_operator_t
.. doxygenenum:: orcus::spreadsheet::condition_type_t
.. doxygenenum:: orcus::spreadsheet::condition_date_t
.. doxygenenum:: orcus::spreadsheet::databar_axis_t
